osgUtil::EdgeCollector::Point Struct Reference

`#include <EdgeCollector>`

Inheritance diagram for osgUtil::EdgeCollector::Point:

## Public Member Functions

| Point ()
void | clear ()
bool | operator< (const Point &rhs) const
bool | isBoundaryPoint () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

bool | _protected
unsigned int | _index
osg::Vec3d | _vertex
TriangleSet | _triangles

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## Point()

osgUtil::EdgeCollector::Point::Point | ( |  | ) |

inline

References _index, and _protected.

Referenced by operator<().

## Member Function Documentation

## clear()

void osgUtil::EdgeCollector::Point::clear | ( |  | ) |

inline

References _triangles.

## isBoundaryPoint()

bool osgUtil::EdgeCollector::Point::isBoundaryPoint | ( |  | ) | const

## operator<()

bool osgUtil::EdgeCollector::Point::operator< | ( | const Point & | rhs | ) | const

inline

References _vertex, and Point().

## Member Data Documentation

## _index

unsigned int osgUtil::EdgeCollector::Point::_index

Referenced by Point().

## _protected

bool osgUtil::EdgeCollector::Point::_protected

Referenced by Point().

## _triangles

TriangleSet osgUtil::EdgeCollector::Point::_triangles

Referenced by clear().

## _vertex

osg::Vec3d osgUtil::EdgeCollector::Point::_vertex

Referenced by operator<().

The documentation for this struct was generated from the following file:

- EdgeCollector